package com.chinaitop.depot.intelligent.basicdata.service;

import com.chinaitop.depot.intelligent.basicdata.model.TDcsqtinfo;

import java.util.List;

public interface GaseousService {
    List<TDcsqtinfo> getList(String cfCode,String orgId);

    TDcsqtinfo getById(String id);

    void save(String grainJson);

    int deleteById(String id, String dcsQtInfoInfoJson);

    /**
     * 硬件厂商同步基础数据
     * @param orgId
     * @return
     */
    String synchronizationAll(String orgId, String vUpdatePerson);

    /**
     * 根据多通道气体集合code查询
     * @param code
     * @return
     */
    List<TDcsqtinfo> getByCode(List<String> code);
}
